OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockContainer

    java.lang.Object
      org.opennms.netmgt.mock.MockElement
          org.opennms.netmgt.mock.MockContainer

Direct Known Subclasses:
  MockInterface, MockNetwork, MockNode

public abstract class MockContainer
extends MockElement

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private java.util.Map` `m_members`

Fields inherited from class org.opennms.netmgt.mock.MockElement
`m_parent`

Constructor Summary
`protected` `MockContainer(MockContainer parent)`

Method Summary
`void` `addAnticipator(PollAnticipator trigger)`
`protected MockElement` `addMember(MockElement element)`
`protected MockElement` `getMember(java.lang.Object key)`
`protected java.util.List` `getMembers()`
`int` `getPollCount()`
`int` `getPollStatus()`
`void` `removeAnticipator(PollAnticipator trigger)`
`protected void` `removeMember(MockElement element)`
`void` `resetPollCount()`
`void` `visit(MockVisitor v)`
`protected void` `visitMembers(MockVisitor v)`

Methods inherited from class org.opennms.netmgt.mock.MockElement
`bringDown, bringUnresponsive, bringUp, createDeleteEvent, createDownEvent, createDownEvent, createUpEvent, createUpEvent, getKey, getNetwork, getParent, moveTo, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_members

    private java.util.Map m_members

Constructor Detail

### MockContainer

    protected MockContainer(MockContainer parent)

Method Detail

### addAnticipator

    public void addAnticipator(PollAnticipator trigger)

  Specified by:
    `addAnticipator` in class `MockElement`

### addMember

    protected MockElement addMember(MockElement element)

### getMember

    protected MockElement getMember(java.lang.Object key)

### getMembers

    protected java.util.List getMembers()

### getPollCount

    public int getPollCount()

  Specified by:
    `getPollCount` in class `MockElement`

### getPollStatus

    public int getPollStatus()

  Specified by:
    `getPollStatus` in class `MockElement`

### removeAnticipator

    public void removeAnticipator(PollAnticipator trigger)

  Specified by:
    `removeAnticipator` in class `MockElement`

### removeMember

    protected void removeMember(MockElement element)

### resetPollCount

    public void resetPollCount()

  Specified by:
    `resetPollCount` in class `MockElement`

### visit

    public void visit(MockVisitor v)

  Overrides:
    `visit` in class `MockElement`

### visitMembers

    protected void visitMembers(MockVisitor v)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.